Crazy Eddies GUI System: CEGUI::FalagardProgressBar Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Protected Attributes | Static Protected Attributes
CEGUI::FalagardProgressBar Class Reference

ProgressBar class for the FalagardBase module. More...

Inheritance diagram for CEGUI::FalagardProgressBar:
[legend]
Collaboration diagram for CEGUI::FalagardProgressBar:
[legend]

List of all members.

## Public Member Functions
| FalagardProgressBar (const String &type)
| type name for this widget.
bool | isVertical () const
bool | isReversed () const
void | setVertical (bool setting)
void | setReversed (bool setting)
void | render ()
| Populate render cache.
## Static Public Attributes
static const utf8 | TypeName []
## Protected Attributes
bool | d_vertical
| True if progress bar operates on the vertical plane.
bool | d_reversed
| True if progress grows in the opposite direction to usual (i.e. to the left / downwards).
## Static Protected Attributes
static FalagardProgressBarProperties::VerticalProgress | d_verticalProperty
static FalagardProgressBarProperties::ReversedProgress | d_reversedProperty

## Detailed Description

ProgressBar class for the FalagardBase module.

This class requires LookNFeel to be assigned. The LookNFeel should provide the following:

States:

- Enabled
- Disabled
- EnabledProgress
- DisabledProgress

Named Areas:

- ProgressArea

Property initialiser definitions:

- VerticalProgress - boolean property. Determines whether the progress widget is horizontal or vertical. Default is horizontal. Optional.

- ReversedProgress - boolean property. Determines whether the progress grows in the opposite direction to what is considered 'usual'. Set to "True" to have progress grow towards the left or bottom of the progress area. Optional.

## Constructor & Destructor Documentation

CEGUI::FalagardProgressBar::FalagardProgressBar | ( | const String & | type | ) |

type name for this widget.

Constructor

## Member Function Documentation

void CEGUI::FalagardProgressBar::render | ( |  | ) | `[virtual]`

Populate render cache.

This method must be implemented by all window renderers and should perform the rendering operations needed for this widget. Normally using the Falagard API...

Implements CEGUI::WindowRenderer.